from buildbot.plugins import worker

cpp_worker = worker.DockerLatentWorker('buildbot-cpp-worker', 'pass',
                                       docker_host='tcp://192.168.178.39:2375',
                                       image='buildbot-cpp-worker')

docker_worker = worker.DockerLatentWorker('buildbot-docker-worker', 'pass',
                                          docker_host='tcp://192.168.178.39:2375',
                                          image='buildbot-docker-worker',
                                          volumes=['/var/run/docker.sock:/var/run/docker.sock'])

def append(workers):
    workers.append(cpp_worker)
    workers.append(docker_worker)
    return workers

